Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#3660 closed enhancement (fixed)

.trec source file cannot be decoded

Reported by: Atarikid Owned by:
Priority: wish Component: avformat
Version: git-master Keywords: mov tsc2
Cc: Mind0Master1@gmail.com Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description (last modified by llogan)

Camtasia started using a new cross platform recording format called .trec
FFmpeg doesn't seem to handle this correct now.

/Users/Atarikid/Desktop/ffmpeg -i /Users/Atarikid/Desktop/Rec.trec -c:a aac -c:v libx264 /Users/Atarikid/Desktop/test.mp4

ffmpeg version N-61864-g50b68e3 Copyright (c) 2000-2014 the FFmpeg developers
  built on Mar 27 2014 23:03:37 with llvm-gcc 4.2.1 (LLVM build 2336.11.00)
  configuration: --prefix=/Volumes/tempdisk/sw --as=yasm --enable-gpl --enable-pthreads --disable-ffplay --disable-ffserver --disable-shared --enable-static --enable-libvpx --disable-decoder=libvpx --enable-libmp3lame --enable-libopus --enable-libtheora --enable-libvorbis --enable-libx264 --enable-libx265 --enable-libxvid --enable-zlib --enable-avfilter --enable-fontconfig --enable-libfreetype --enable-libass --enable-libutvideo --enable-filters --enable-postproc --enable-runtime-cpudetect
  libavutil      52. 69.100 / 52. 69.100
  libavcodec     55. 54.100 / 55. 54.100
  libavformat    55. 35.101 / 55. 35.101
  libavdevice    55. 11.100 / 55. 11.100
  libavfilter     4.  3.100 /  4.  3.100
  libswscale      2.  5.102 /  2.  5.102
  libswresample   0. 18.100 /  0. 18.100
  libpostproc    52.  3.100 / 52.  3.100
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x7fc18b81ce00] Could not find codec parameters for stream 0 (Video: none (tsc2 / 0x32637374), 892x441, 1685 kb/s): unknown codec
Consider increasing the value for the 'analyzeduration' and 'probesize' options
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from '/Users/Xtophe/Desktop/Rec.trec':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: mp42isom
    creation_time   : 2014-05-21 17:49:36
  Duration: 00:00:12.98, start: 0.000000, bitrate: 1641 kb/s
    Stream #0:0(und): Video: none (tsc2 / 0x32637374), 892x441, 1685 kb/s, 5 fps, 5 tbr, 5 tbn, 5 tbc (default)
    Metadata:
      creation_time   : 2014-05-21 17:49:36
    Stream #0:1(und): Audio: aac (mp4a / 0x6134706D), 44100 Hz, stereo, fltp, 2 kb/s (default)
    Metadata:
      creation_time   : 2014-05-21 17:49:40
[buffer @ 0x7fc18b5003e0] Unable to parse option value "-1" as pixel format
    Last message repeated 1 times
[buffer @ 0x7fc18b5003e0] Error setting option pix_fmt to value -1.
[graph 0 input from stream 0:0 @ 0x7fc18b5004e0] Error applying options to the filter.
Error opening filters!

Even forcing the pixel format with -pix_fmt yuv420p does not help

Sample included

Attachments (2)

Rec.trec.7z (1.7 MB) - added by Atarikid 5 years ago.
out.mp4 (1.9 MB) - added by cehoyos 5 years ago.

Change History (17)

Changed 5 years ago by Atarikid

comment:1 Changed 5 years ago by Atarikid

Oeps... title is misleading. Should be
[FFmpeg-trac] #3660(ffmpeg:new): .trec source file cannot be decoded

comment:2 Changed 5 years ago by llogan

  • Component changed from ffmpeg to undetermined
  • Description modified (diff)
  • Priority changed from normal to wish
  • Summary changed from .trec source file cannot be encoded to .trec source file cannot be decoded
  • Type changed from defect to enhancement

comment:3 Changed 5 years ago by cehoyos

  • Component changed from undetermined to avformat
  • Keywords mov tsc2 added
  • Reproduced by developer set
  • Status changed from new to open

Two patches sent.

comment:4 in reply to: ↑ description ; follow-up: Changed 5 years ago by cehoyos

Replying to Atarikid:

Even forcing the pixel format with -pix_fmt yuv420p does not help

Workaround is to specify the codec with -vcodec tscc2.

Can you playback the sample you uploaded with QuickTime?? If yes, could you test a file I will attach: Does it also play fine?

Changed 5 years ago by cehoyos

comment:5 Changed 5 years ago by cehoyos

  • Resolution set to fixed
  • Status changed from open to closed

Fixed in afaa39b4 - thank you for the report!
It would still be great if you could test the remuxed sample I uploaded.

comment:6 in reply to: ↑ 4 ; follow-up: Changed 5 years ago by Mind0Master1

Replying to cehoyos:

Can you playback the sample you uploaded with QuickTime?

No, sample file format (.trek) is not supported by QuickTime

If yes, could you test a file I will attach: Does it also play fine?

No, remuxed sample (.mp4) doesn't play in QuickTime: "The operation could not be completed"
It doesn't play in VLC either (though original sample file (.trek) plays fine)

Version 2, edited 5 years ago by Mind0Master1 (previous) (next) (diff)

comment:7 in reply to: ↑ 6 ; follow-up: Changed 5 years ago by cehoyos

Replying to Mind0Master1:

Replying to cehoyos:

Can you playback the sample you uploaded with QuickTime??

No, sample file format (.trek) is not supported by QuickTime?

Which application - that is not FFmpeg-based like vlc - is supposed to play the file you uploaded?

comment:8 in reply to: ↑ 7 ; follow-up: Changed 5 years ago by Mind0Master1

Replying to cehoyos:

Which application - that is not FFmpeg-based like vlc - is supposed to play the file you uploaded?

.trec is new recording format of techsmith.com/camtasia.html

comment:9 in reply to: ↑ 8 ; follow-up: Changed 5 years ago by cehoyos

Replying to Mind0Master1:

Replying to cehoyos:

Which application - that is not FFmpeg-based like vlc - is supposed to play the file you uploaded?

.trec is new recording format of techsmith.com/camtasia.html

Does it come with a player?

comment:10 in reply to: ↑ 9 ; follow-up: Changed 5 years ago by Mind0Master1

Replying to cehoyos:

.trec is new recording format of techsmith.com/camtasia.html

Does it come with a player?

It doesn't have a separate player, .trec files are supposed to be played and edited within internal editor. Afterwords Camtasia gives the options to convert .trec into various popular formats (but conversion options might not be as flexible).

comment:11 in reply to: ↑ 10 ; follow-up: Changed 5 years ago by cehoyos

Replying to Mind0Master1:

Replying to cehoyos:

.trec is new recording format of techsmith.com/camtasia.html

Does it come with a player?

It doesn't have a separate player, .trec files are supposed to be played and edited within internal editor.

Does the internal editor read the file I uploaded? (If you rename it to out.trec?)

comment:12 in reply to: ↑ 11 Changed 5 years ago by Mind0Master1

Replying to cehoyos:

Does the internal editor read the file I uploaded? (If you rename it to out.trec?)

Reading the file:
"The document “out.mp4” could not be opened. Camtasia 2 cannot open files in the “MPEG-4 File” format."
Importing the file:
"Error importing files. The following files are unsupported or damaged: out.mp4"
("undamaged" .mp4 files get successfully imported)

Last edited 5 years ago by Mind0Master1 (previous) (diff)

comment:13 Changed 5 years ago by Mind0Master1

  • Cc Mind0Master1@gmail.com added
Last edited 5 years ago by Mind0Master1 (previous) (diff)

comment:14 Changed 5 years ago by cehoyos

What happens if you rename the file to out.trec?

comment:15 Changed 5 years ago by Atarikid

Compiled the latest GIT and it is working now.

Note: See TracTickets for help on using tickets.